import { SubmitFeeItemCategoryeModel } from "@/api/feeItemCategory/FeeItemCategoryModle";
import { reactive } from "vue";

export default function useBaseModel() {

    //表单验证
    const rules = reactive({       
        categoryName:[{
            required: true,
            message: '请输入中文名称',
            trigger:'change'
        }   
        ]
    });
    //表单数据
    const dialogModel = reactive<SubmitFeeItemCategoryeModel>({
        id: "",       
        categoryName: "",  
        type:"0"
    })

    return {
        rules,
        dialogModel
    }
}